/*************************************************************
  Download latest Blynk library here:
    https://github.com/blynkkk/blynk-library/releases/latest

  Blynk is a platform with iOS and Android apps to control
  Arduino, Raspberry Pi and the likes over the Internet.
  You can easily build graphic interfaces for all your
  projects by simply dragging and dropping widgets.

    Downloads, docs, tutorials: http://www.blynk.cc
    Sketch generator:           http://examples.blynk.cc
    Blynk community:            http://community.blynk.cc
    Follow us:                  http://www.fb.com/blynkapp
                                http://twitter.com/blynk_app

  Blynk library is licensed under MIT license
  This example code is in public domain.

 *************************************************************

  App project setup:
    Time Input widget on V1.
 *************************************************************/

/* Comment this out to disable prints and save space */
#define BLYNK_PRINT Serial


#include <SPI.h>
#include <Ethernet.h>
#include <BlynkSimpleEthernet.h>

// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "YourAuthToken";

void setup()
{
  // Debug console
  Serial.begin(9600);

  Blynk.begin(auth);
}

    //as soon as connected update TimeInput widget state
BLYNK_CONNECTED() {
    //seconds from the start of a day. 0 - min, 86399 - max
    int startAt = 5 * 60; //00:05

    //seconds from the start of a day. 0 - min, 86399 - max
    int stopAt = (60 + 5) * 60; //01:05

    //timezone
    //full list of supported timezones could be found here
    //https://www.mkyong.com/java/java-display-list-of-timezone-with-gmt/
    char tz[] = "Europe/Kiev";

    Blynk.virtualWrite(V1, startAt, stopAt, tz);

    //you may also pass day
    //char days[] = "1"; //Monday
    //Blynk.virtualWrite(V1, startAt, stopAt, tz, days);

    //or days
    //char days[] = "1,2,3"; //Monday, Tuesday, Wednesday
    //Blynk.virtualWrite(V1, startAt, stopAt, tz, days);

}

void loop()
{
  Blynk.run();
}

